%define upstream_name    boolean
%define upstream_version 0.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Boolean support for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Provides:   perl(boolean)

%description
Most programming languages have a native 'Boolean' data type. Perl does
not.

Perl has a simple and well known Truth System. The following scalar values
are false:

    $false1 = undef;
    $false2 = 0;
    $false3 = 0.0;
    $false4 = '';
    $false5 = '0';

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.450.0-3.mga6
+ Revision: 1022763
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.450.0-2.mga6
+ Revision: 965939
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 0.450.0-1.mga6
+ Revision: 839287
- update to 0.45

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-3.mga5
+ Revision: 743359
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.380.0-2.mga5
+ Revision: 687018
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 jquelin <jquelin> 0.380.0-1.mga5
+ Revision: 640042
- update to 0.38

* Mon Feb 10 2014 jquelin <jquelin> 0.320.0-1.mga5
+ Revision: 588845
- update to 0.32

* Fri Oct 18 2013 umeabot <umeabot> 0.280.0-3.mga4
+ Revision: 516318
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.280.0-2.mga3
+ Revision: 375397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 jquelin <jquelin> 0.280.0-1.mga2
+ Revision: 148301
- update to 0.28

* Thu Jun 30 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 116450
- update to 0.27

* Sat Jun 11 2011 spuhler <spuhler> 0.260.0-2.mga2
+ Revision: 104032
- increase rel for rebuild

* Wed Feb 16 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 52289
- update to 0.26

* Tue Jan 18 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 22035
- cleaning spec file
- imported package perl-boolean

